Extending Qt Creator Manual | ASTParent

Extending Qt Creator Manual 4.5.2

# ASTParent Class

(CPlusPlus::ASTParent)

- List of all members, including inherited members

## Public Functions

| ASTParent(TranslationUnit *translationUnit, AST *rootNode)
virtual | ~ASTParent()
AST * | parent(AST *ast) const
QList<AST *> | path(AST *ast) const
AST * | operator()(AST *ast) const

## Protected Functions

void | path_helper(AST *ast, QList<AST *> *path) const
virtual void | postVisit(AST *ast)
virtual bool | preVisit(AST *ast)

## Member Function Documentation

### ASTParent::ASTParent(TranslationUnit *translationUnit, AST *rootNode)

Default constructs an instance of ASTParent.

### `[virtual]` ASTParent::~ASTParent()

Destroys the instance of ASTParent. The destructor is virtual.

### AST *ASTParent::parent(AST *ast) const

### QList<AST *> ASTParent::path(AST *ast) const

### `[protected]` void ASTParent::path_helper(AST *ast, QList<AST *> *path) const

### `[virtual protected]` void ASTParent::postVisit(AST *ast)

### `[virtual protected]` bool ASTParent::preVisit(AST *ast)

### AST *ASTParent::operator()(AST *ast) const